global:
  image:
    repository: harbor.cdcyy.com.cn/cmii # override all applications image repository
    tag: "3.2.1"  # override all applications' image tag/version
    pullPolicy: Always # override all applications' image pullPolicy
  middlewareService:
    type: NodePort
  application:
    type: middleware
  affinity: {}
  nodeAffinityPreset:
    type: hard
    key: uavcloud.env
    values:
      - demo
  volume:
    name: glusterfs-volume
  storageClass:
    name: heketi-glusterfs-distribute


emqx:
  enabled:
    clusterMode: true
    standaloneMode: false
  nodePort:
    mqtt: 31883
    dashboard: 38085
    mqttWebSocket: 38083
  ingress:
    enabled: false
    domain: emqx.ig-dev.uavcmlc.com
    tls:
      secretName: x.ig-dev.uavcmlc.com-tls
  auth:
    username: cmlc
    password: odD8#Ve7.B


mongo:
  enabled: false
  nodePort:
    mongo: 37017
  auth:
    username: cmlc
    password: REdPza8#oVlt


nacos:
  enabled: false
  #name: helm-nacos
  nodePort:
    dashboard: 38848
  ingress:
    enabled: false # please keep false in most cases.
    domain: nacos.dashboard.uavcloud-dev.io
  database:
    # needed to be modified according to the real mysql-database configuration !!
    host: helm-mysql
    port: 3306
    username: k8s_admin
    password: EWde2cKP9w.G
    db_name: nacos_config

rabbitmq:
  enabled: false
  #name: helm-rabbitmq
  nodePort:
    rabbitmq: 35672
    dashboard: 35675
  ingress:
    enabled: false
    domain: rabbitmq.dashboard.uavcloud-dev.io
  auth:
    username: admin
    password: nYcRN91r._hj


redis:
  enabled:
    masterSlaveMode: false
    standaloneMode: false
  nodePort:
    redisMaster: 36379
    redisSlave: 36380
  auth: Mcache@4522

minio:
  enabled: false
  nodePort:
    dashboard: 36677
  auth:
    username: cmii
    password: B#923fC7mk

mysql:
  enabled:
    masterSlaveMode: false
    standaloneMode: true
  nodePort:
    mysqlMaster: 33306
    mysqlSlave: 33307
  persist:
    type: localPath # choose between localPath or pvc